Subject: Re: bug#896: Inclusion of jabber.el in Emacs 24

From: Magnus Henoch <[email-masked]>
Date: Fri, 19 Sep 2008 20:33:55 +0200

Yavor Doganov <[email-masked]> writes:

> Possible caveats:
>
> - Copyright assignment: there are not so many contributors AFAIK so it
>   should be doable.

Indeed.

> - Uses (optionally) FLIM features.

These have been merged into Gnus, and in turn into Emacs 23.

> - Most probably something else I'm missing.

Uses CL liberally.  In particular, the following functions are used:

delete-if
delete-if-not
find
find-if
intersection
remove-if
remove-if-not
set-difference
union

And as I'm allergic to code duplication, I'm reluctant to change that.
Could these functions have aliases starting with cl-?  Or could someone
persuade me not to use these functions? :)

Magnus